<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($oas, 'pager_oa');
$oas->noLimit();
// $oas = $pager->getStatement();

?>

<script type="text/javascript">
  
  function showDetailOa(oa_id)
  {
     $.ajax({
      type:"POST",
			url: "<?php echo $this->getRequest('Oa','Show' ) ; ?>"+oa_id,
			data: "id="+oa_id,
      success: function(returnData) {
        // Affichage du modal (boite de dialogue)
        $('#modalTitle').html('Op&eacute;ration Arch&eacute;ologique');
        $('#modalBody').html(returnData);
        $('#myModal').modal();
        if(data.error)
          alert(data.error);
       },
       error: function(returnData) {
        alert('Une erreur est survenue.'); 
       }
      });
  }  
  
</script>

<div class="table-responsive">
<div id="optiontools"></div>
<table class="table table-striped table-bordered table-hover table-condensed table-responsive">
	<tbody>
	<?php 
    foreach($oas as $oa){
      $oa_id = $oa->get('oa_id');
      $identification = $oa->get('identification', $filter_html); 
      $arretedesignation = $oa->get('arretedesignation', $filter_html);
      $arreteprescription = $oa->get('arreteprescription', $filter_html);
      $debut = $oa->get('oa_debut', $filter_html);
      $fin = $oa->get('oa_fin', $filter_html);
      $commentaire = $oa->get('commentaire', $filter_html);        
  ?>
		<tr>
			<td<?php echo $pager->getClass($oas); ?>>
        <a href="#" onClick="showDetailOa('<?php echo $oa_id ; ?>')">
          <div>
            <?php echo $identification.' ( '.$arretedesignation.' / '.$arreteprescription.' )' ?>
            <?php echo ' - du '.$debut.' au '.$fin ?>          
          </div>                
        </a>
        <div><em><?php echo substr ($commentaire, 0, 20 ).' ...' ; ?></em></div>
      </td>
      <!--
      <td>
        <a href="<?php echo $this->getRequest('Oa', 'edit', array($oa_id) ); ?>" target="_blank">
          Editer
        </>
      </td>
      -->
		</tr>
	<?php } ?>
	</tbody>
</table></div>

